Where can I find 'FormsHelper API' as described in 'AEM 6.0 Forms Help / Writing custom Submit action for adaptive forms'

urs_h_ 03-02-2016

Hi 

1) https://helpx.adobe.com/aem-forms/6/custom-submit-action-form.html refers to the 'FormsHelper API'. 

2) A google search on 'FormsHelper' reveals https://docs.adobe.com/content/docs/en/cq/5-6-1/javadoc/com/day/cq/wcm/foundation/forms/FormsHelper....

3) Searching FormsHelper's package 'com.day.cq.wcm.foundation.form' on http://localhost:4502/system/console/depfinder I've found following dependency:
 

<dependency> <groupId>com.day.cq.wcm</groupId> <artifactId>cq-wcm-foundation</artifactId> <version>5.8.52</version> <scope>provided</scope> </dependency>

4) But on https://repo.adobe.com/nexus/content/repositories/public/com/day/cq/wcm/cq-wcm-foundation/ the latest available maven package is 5.6.4.

So my question is how can I use 'FormsHelper API'?

Thank you,

Urs

Mark Solution

Are these answers useful?
Help other community members by marking useful answers as accepted.

Accepted Solutions (0)

Answers (1)

Answers (1)

urs_h_ 03-02-2016

I've found the dependencies I need to add to the pom.xml so that FormsHelper class is available:

         <dependency> <groupId>com.adobe.granite</groupId> <artifactId>com.adobe.granite.xssprotection</artifactId> <version>5.5.62</version> <scope>provided</scope> </dependency> <dependency> <groupId>com.day.cq.wcm</groupId> <artifactId>cq-wcm-foundation</artifactId> <version>5.8.52</version> <scope>provided</scope> </dependency>